> ## Documentation Index
> Fetch the complete documentation index at: https://api-reference.hyperswitch.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Refunds - Create

> Creates a refund against an already processed payment. In case of some processors, you can even opt to refund only a partial amount multiple times until the original charge amount has been refunded



## OpenAPI

````yaml post /refunds
openapi: 3.0.3
info:
  title: Hyperswitch - API Documentation
  description: >

    ## Get started


    Hyperswitch provides a collection of APIs that enable you to process and
    manage payments.

    Our APIs accept and return JSON in the HTTP body, and return standard HTTP
    response codes.


    You can consume the APIs directly using your favorite HTTP/REST library.


    We have a testing environment referred to "sandbox", which you can setup to
    test API calls without

    affecting production data.

    Currently, our sandbox environment is live while our production environment
    is under development

    and will be available soon.

    You can sign up on our Dashboard to get API keys to access Hyperswitch API.


    ### Environment


    Use the following base URLs when making requests to the APIs:


    | Environment   |  Base URL                          |

    |---------------|------------------------------------|

    | Sandbox       | <https://sandbox.hyperswitch.io>   |

    | Production    | <https://api.hyperswitch.io>       |


    ## Authentication


    When you sign up on our [dashboard](https://app.hyperswitch.io) and create a
    merchant

    account, you are given a secret key (also referred as api-key) and a
    publishable key.

    You may authenticate all API requests with Hyperswitch server by providing
    the appropriate key in

    the request Authorization header.


    | Key             | 
    Description                                                                                 
    |

    |-----------------|-----------------------------------------------------------------------------------------------|

    | api-key         | Private key. Used to authenticate all API requests from
    your merchant server                  |

    | publishable key | Unique identifier for your account. Used to authenticate
    API requests from your app's client  |


    Never share your secret api keys. Keep them guarded and secure.
  contact:
    name: Hyperswitch Support
    url: https://hyperswitch.io
    email: support.global@juspay.io
  license:
    name: Apache-2.0
  version: 0.1.0
servers:
  - url: https://sandbox.hyperswitch.io
    description: Sandbox Environment
security: []
tags:
  - name: Merchant Account
    description: Create and manage merchant accounts
  - name: Profile
    description: Create and manage profiles
  - name: Merchant Connector Account
    description: Create and manage merchant connector accounts
  - name: Payments
    description: Create and manage one-time payments, recurring payments and mandates
  - name: Refunds
    description: Create and manage refunds for successful payments
  - name: Mandates
    description: Manage mandates
  - name: Customers
    description: Create and manage customers
  - name: Payment Methods
    description: Create and manage payment methods of customers
  - name: Disputes
    description: Manage disputes
  - name: API Key
    description: Create and manage API Keys
  - name: Payouts
    description: Create and manage payouts
  - name: payment link
    description: Create payment link
  - name: Routing
    description: Create and manage routing configurations
  - name: Event
    description: Manage events
  - name: Authentication
    description: Create and manage authentication
  - name: Subscriptions
    description: Subscription management and billing endpoints
  - name: Card Issuer
    description: Create and manage card issuers
  - name: Telephone Order
    description: Charge cards collected over the phone by an IVR provider
paths:
  /refunds:
    post:
      tags:
        - Refunds
      summary: Refunds - Create
      description: >-
        Creates a refund against an already processed payment. In case of some
        processors, you can even opt to refund only a partial amount multiple
        times until the original charge amount has been refunded
      operationId: Create a Refund
      parameters:
        - name: X-Connected-Merchant-Id
          in: header
          description: >-
            Merchant ID of the connected merchant on whose behalf the operation
            is performed. Required when authenticating with a platform
            merchant's API key. Standard and connected merchants must not send
            it.
          required: false
          schema:
            type: string
            nullable: true
          example: merchant_abc
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefundRequest'
            examples:
              Create an instant refund to refund partial amount:
                value:
                  amount: 654
                  payment_id: '{{payment_id}}'
                  refund_type: instant
              Create an instant refund to refund the whole amount:
                value:
                  payment_id: '{{payment_id}}'
                  refund_type: instant
              Create an instant refund with reason:
                value:
                  amount: 6540
                  payment_id: '{{payment_id}}'
                  reason: Customer returned product
                  refund_type: instant
        required: true
      responses:
        '200':
          description: Refund created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefundResponse'
        '400':
          description: Missing Mandatory fields
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErrorResponseOpenApi'
      security:
        - api_key: []
components:
  schemas:
    RefundRequest:
      type: object
      required:
        - payment_id
      properties:
        payment_id:
          type: string
          description: The payment id against which refund is to be initiated
          example: pay_mbabizu24mvu3mela5njyhpit4
          maxLength: 30
          minLength: 30
        refund_id:
          type: string
          description: >-
            Unique Identifier for the Refund. This is to ensure idempotency for
            multiple partial refunds initiated against the same payment. If this
            is not passed by the merchant, this field shall be auto generated
            and provided in the API response. It is recommended to generate
            uuid(v4) as the refund_id.
          example: ref_mbabizu24mvu3mela5njyhpit4
          nullable: true
          maxLength: 30
          minLength: 30
        merchant_id:
          type: string
          description: The identifier for the Merchant Account
          example: y3oqhf46pyzuxjbcn2giaqnb44
          nullable: true
          maxLength: 255
        amount:
          type: integer
          format: int64
          description: >-
            Total amount for which the refund is to be initiated. Amount for the
            payment in lowest denomination of the currency. (i.e) in cents for
            USD denomination, in paisa for INR denomination etc., If not
            provided, this will default to the full payment amount
          example: 6540
          nullable: true
          minimum: 100
        reason:
          type: string
          description: >-
            Reason for the refund. Often useful for displaying to users and your
            customer support executive. In case the payment went through Stripe,
            this field needs to be passed with one of these enums: `duplicate`,
            `fraudulent`, or `requested_by_customer`
          example: Customer returned the product
          nullable: true
          maxLength: 255
        refund_type:
          allOf:
            - $ref: '#/components/schemas/RefundType'
          default: Instant
          nullable: true
        metadata:
          type: object
          description: >-
            You can specify up to 50 keys, with key names up to 40 characters
            long and values up to 500 characters long. Metadata is useful for
            storing additional, structured information on an object.
          nullable: true
        merchant_connector_details:
          allOf:
            - $ref: '#/components/schemas/MerchantConnectorDetailsWrap'
          nullable: true
        split_refunds:
          allOf:
            - $ref: '#/components/schemas/SplitRefund'
          nullable: true
        all_keys_required:
          type: boolean
          description: If true, returns stringified connector raw response body
          nullable: true
        payment_method_data:
          allOf:
            - $ref: '#/components/schemas/PaymentMethodData'
          nullable: true
        feature_metadata:
          allOf:
            - $ref: '#/components/schemas/RefundFeatureMetadata'
          nullable: true
      additionalProperties: false
    RefundResponse:
      type: object
      required:
        - refund_id
        - payment_id
        - amount
        - currency
        - status
        - connector
      properties:
        refund_id:
          type: string
          description: Unique Identifier for the refund
        payment_id:
          type: string
          description: The payment id against which refund is initiated
        amount:
          type: integer
          format: int64
          description: >-
            The refund amount excluding any refunded surcharge, in the
            currency's lowest denomination.
          example: 6540
          minimum: 100
        net_amount:
          type: integer
          format: int64
          description: >-
            The total refund amount, including any refunded surcharge, in the
            currency's lowest denomination.
          nullable: true
        surcharge_refund_amount:
          type: integer
          format: int64
          description: >-
            The surcharge amount included in this refund, in the currency's
            lowest denomination.
          nullable: true
        currency:
          type: string
          description: The three-letter ISO currency code
        status:
          $ref: '#/components/schemas/RefundStatus'
        reason:
          type: string
          description: >-
            An arbitrary string attached to the object. Often useful for
            displaying to users and your customer support executive
          nullable: true
        metadata:
          type: object
          description: >-
            You can specify up to 50 keys, with key names up to 40 characters
            long and values up to 500 characters long. Metadata is useful for
            storing additional, structured information on an object
          nullable: true
        error_message:
          type: string
          description: The error message
          nullable: true
        error_code:
          type: string
          description: The code for the error
          nullable: true
        unified_code:
          type: string
          description: >-
            Error code unified across the connectors is received here if there
            was an error while calling connector
          nullable: true
        unified_message:
          type: string
          description: >-
            Error message unified across the connectors is received here if
            there was an error while calling connector
          nullable: true
        created_at:
          type: string
          format: date-time
          description: The timestamp at which refund is created
          nullable: true
        updated_at:
          type: string
          format: date-time
          description: The timestamp at which refund is updated
          nullable: true
        connector:
          type: string
          description: The connector used for the refund and the corresponding payment
          example: stripe
        profile_id:
          type: string
          description: The id of business profile for this refund
          nullable: true
        merchant_connector_id:
          type: string
          description: >-
            The merchant_connector_id of the processor through which this
            payment went through
          nullable: true
        split_refunds:
          allOf:
            - $ref: '#/components/schemas/SplitRefund'
          nullable: true
        issuer_error_code:
          type: string
          description: Error code received from the issuer in case of failed refunds
          nullable: true
        issuer_error_message:
          type: string
          description: Error message received from the issuer in case of failed refunds
          nullable: true
        raw_connector_response:
          type: string
          description: Contains whole connector response
          nullable: true
        connector_refund_id:
          type: string
          description: A unique identifier for a payment provided by the connector
          nullable: true
        feature_metadata:
          allOf:
            - $ref: '#/components/schemas/RefundFeatureMetadata'
          nullable: true
    GenericErrorResponseOpenApi:
      type: object
      required:
        - error_type
        - message
        - code
      properties:
        error_type:
          type: string
          example: invalid_request
        message:
          type: string
          example: 'Missing required param: {param}'
        code:
          type: string
          example: IR_04
    RefundType:
      type: string
      description: To indicate whether to refund needs to be instant or scheduled
      enum:
        - scheduled
        - instant
    MerchantConnectorDetailsWrap:
      type: object
      description: Merchant connector details used to make payments.
      required:
        - creds_identifier
      properties:
        creds_identifier:
          type: string
          description: >-
            Creds Identifier is to uniquely identify the credentials. Do not
            send any sensitive info, like encoded_data in this field. And do not
            send the string "null".
        encoded_data:
          allOf:
            - $ref: '#/components/schemas/MerchantConnectorDetails'
          nullable: true
    SplitRefund:
      oneOf:
        - type: object
          required:
            - stripe_split_refund
          properties:
            stripe_split_refund:
              $ref: '#/components/schemas/StripeSplitRefundRequest'
        - type: object
          required:
            - adyen_split_refund
          properties:
            adyen_split_refund:
              $ref: '#/components/schemas/AdyenSplitData'
        - type: object
          required:
            - xendit_split_refund
          properties:
            xendit_split_refund:
              $ref: '#/components/schemas/XenditSplitSubMerchantData'
      description: >-
        Charge specific fields for controlling the revert of funds from either
        platform or connected account. Check sub-fields for more details.
    PaymentMethodData:
      oneOf:
        - type: object
          title: Card
          required:
            - card
          properties:
            card:
              $ref: '#/components/schemas/Card'
        - type: object
          title: CardWithNoCVC
          required:
            - card_with_no_cvc
          properties:
            card_with_no_cvc:
              $ref: '#/components/schemas/CardWithNoCVC'
        - type: object
          title: CardRedirect
          required:
            - card_redirect
          properties:
            card_redirect:
              $ref: '#/components/schemas/CardRedirectData'
        - type: object
          title: Wallet
          required:
            - wallet
          properties:
            wallet:
              $ref: '#/components/schemas/WalletData'
        - type: object
          title: PayLater
          required:
            - pay_later
          properties:
            pay_later:
              $ref: '#/components/schemas/PayLaterData'
        - type: object
          title: BankRedirect
          required:
            - bank_redirect
          properties:
            bank_redirect:
              $ref: '#/components/schemas/BankRedirectData'
        - type: object
          title: BankDebit
          required:
            - bank_debit
          properties:
            bank_debit:
              $ref: '#/components/schemas/BankDebitData'
        - type: object
          title: BankTransfer
          required:
            - bank_transfer
          properties:
            bank_transfer:
              $ref: '#/components/schemas/BankTransferData'
        - type: object
          title: RealTimePayment
          required:
            - real_time_payment
          properties:
            real_time_payment:
              $ref: '#/components/schemas/RealTimePaymentData'
        - type: object
          title: Crypto
          required:
            - crypto
          properties:
            crypto:
              $ref: '#/components/schemas/CryptoData'
        - type: string
          title: MandatePayment
          enum:
            - mandate_payment
        - type: string
          title: Reward
          enum:
            - reward
        - type: object
          title: Upi
          required:
            - upi
          properties:
            upi:
              $ref: '#/components/schemas/UpiData'
        - type: object
          title: Voucher
          required:
            - voucher
          properties:
            voucher:
              $ref: '#/components/schemas/VoucherData'
        - type: object
          title: GiftCard
          required:
            - gift_card
          properties:
            gift_card:
              $ref: '#/components/schemas/GiftCardData'
        - type: object
          title: CardToken
          required:
            - card_token
          properties:
            card_token:
              $ref: '#/components/schemas/CardToken'
        - type: object
          title: OpenBanking
          required:
            - open_banking
          properties:
            open_banking:
              $ref: '#/components/schemas/OpenBankingData'
        - type: object
          title: MobilePayment
          required:
            - mobile_payment
          properties:
            mobile_payment:
              $ref: '#/components/schemas/MobilePaymentData'
        - type: object
          title: NetworkToken
          required:
            - network_token
          properties:
            network_token:
              $ref: '#/components/schemas/NetworkTokenData'
        - type: object
          required:
            - network_transaction_id_and_card_details
          properties:
            network_transaction_id_and_card_details:
              $ref: '#/components/schemas/NetworkTransactionIdAndCardDetails'
        - type: object
          required:
            - network_transaction_id_and_network_token_details
          properties:
            network_transaction_id_and_network_token_details:
              $ref: '#/components/schemas/NetworkTransactionIdAndNetworkTokenDetails'
        - type: object
          required:
            - network_transaction_id_and_decrypted_wallet_token_details
          properties:
            network_transaction_id_and_decrypted_wallet_token_details:
              $ref: >-
                #/components/schemas/NetworkTransactionIdAndDecryptedWalletTokenDetails
        - type: object
          title: VaultDataCard
          required:
            - vault_data_card
          properties:
            vault_data_card:
              $ref: '#/components/schemas/ProxyCardData'
        - type: object
          title: VaultCardTokenData
          required:
            - vault_card_token_data
          properties:
            vault_card_token_data:
              $ref: '#/components/schemas/VaultCardToken'
    RefundFeatureMetadata:
      type: object
      description: Feature metadata for a refund operation.
      properties:
        multi_currency_processing:
          allOf:
            - $ref: '#/components/schemas/MultiCurrencyProcessingAmountData'
          nullable: true
      additionalProperties: false
    RefundStatus:
      type: string
      description: The status for refunds
      enum:
        - succeeded
        - failed
        - pending
        - review
    MerchantConnectorDetails:
      type: object
      properties:
        connector_account_details:
          type: object
          description: >-
            Account details of the Connector. You can specify up to 50 keys,
            with key names up to 40 characters long and values up to 500
            characters long. Useful for storing additional, structured
            information on an object.
          nullable: true
        metadata:
          type: object
          description: >-
            Metadata is useful for storing additional, unstructured information
            on an object.
          nullable: true
    StripeSplitRefundRequest:
      type: object
      description: >-
        Charge specific fields for controlling the revert of funds from either
        platform or connected account for Stripe. Check sub-fields for more
        details.
      properties:
        revert_platform_fee:
          type: boolean
          description: >-
            Toggle for reverting the application fee that was collected for the
            payment.

            If set to false, the funds are pulled from the destination account.
          nullable: true
        revert_transfer:
          type: boolean
          description: >-
            Toggle for reverting the transfer that was made during the charge.

            If set to false, the funds are pulled from the main platform's
            account.
          nullable: true
      additionalProperties: false
    AdyenSplitData:
      type: object
      description: >-
        Fee information for Split Payments to be charged on the payment being
        collected for Adyen
      required:
        - split_items
      properties:
        store:
          type: string
          description: The store identifier
          nullable: true
        split_items:
          type: array
          items:
            $ref: '#/components/schemas/AdyenSplitItem'
          description: Data for the split items
      additionalProperties: false
    XenditSplitSubMerchantData:
      type: object
      description: >-
        Fee information to be charged on the payment being collected for
        sub-merchant via xendit
      required:
        - for_user_id
      properties:
        for_user_id:
          type: string
          description: The sub-account user-id that you want to make this transaction for.
      additionalProperties: false
    Card:
      type: object
      required:
        - card_number
        - card_exp_month
        - card_exp_year
        - card_holder_name
        - card_cvc
      properties:
        card_number:
          type: string
          description: The card number
          example: '4242424242424242'
        card_exp_month:
          type: string
          description: The card's expiry month
          example: '24'
        card_exp_year:
          type: string
          description: The card's expiry year
          example: '24'
        card_holder_name:
          type: string
          description: The card holder's name
          example: John Test
        card_cvc:
          type: string
          description: The CVC number for the card
          example: '242'
        card_issuer:
          type: string
          description: The name of the issuer of card
          example: chase
          nullable: true
        card_network:
          allOf:
            - $ref: '#/components/schemas/CardNetwork'
          nullable: true
        card_type:
          type: string
          example: CREDIT
          nullable: true
        card_subtype:
          type: string
          description: The product the card is issued under, e.g. `CLASSIC` or `ELECTRON`
          example: CLASSIC
          nullable: true
        card_segment_type:
          allOf:
            - $ref: '#/components/schemas/CardSegmentType'
          nullable: true
        funding_source:
          allOf:
            - $ref: '#/components/schemas/FundingSource'
          nullable: true
        card_issuing_country:
          type: string
          example: INDIA
          nullable: true
        card_issuing_country_code:
          type: string
          example: IN
          nullable: true
        bank_code:
          type: string
          example: JP_AMEX
          nullable: true
        nick_name:
          type: string
          description: The card holder's nick name
          example: John Test
          nullable: true
    CardWithNoCVC:
      type: object
      required:
        - card_number
        - card_exp_month
        - card_exp_year
        - card_holder_name
      properties:
        card_number:
          type: string
          description: The card number
          example: '4242424242424242'
        card_exp_month:
          type: string
          description: The card's expiry month
          example: '24'
        card_exp_year:
          type: string
          description: The card's expiry year
          example: '24'
        card_holder_name:
          type: string
          description: The card holder's name
          example: John Test
        card_issuer:
          type: string
          description: The name of the issuer of card
          example: chase
          nullable: true
        card_network:
          allOf:
            - $ref: '#/components/schemas/CardNetwork'
          nullable: true
        card_type:
          type: string
          example: CREDIT
          nullable: true
        card_subtype:
          type: string
          description: The product the card is issued under, e.g. `CLASSIC` or `ELECTRON`
          example: CLASSIC
          nullable: true
        card_segment_type:
          allOf:
            - $ref: '#/components/schemas/CardSegmentType'
          nullable: true
        funding_source:
          allOf:
            - $ref: '#/components/schemas/FundingSource'
          nullable: true
        card_issuing_country:
          type: string
          example: INDIA
          nullable: true
        card_issuing_country_code:
          type: string
          example: IN
          nullable: true
        bank_code:
          type: string
          example: JP_AMEX
          nullable: true
        nick_name:
          type: string
          description: The card holder's nick name
          example: John Test
          nullable: true
    CardRedirectData:
      oneOf:
        - type: object
          required:
            - knet
          properties:
            knet:
              type: object
        - type: object
          required:
            - benefit
          properties:
            benefit:
              type: object
        - type: object
          required:
            - momo_atm
          properties:
            momo_atm:
              type: object
        - type: object
          required:
            - card_redirect
          properties:
            card_redirect:
              type: object
    WalletData:
      oneOf:
        - type: object
          title: AliPayHkRedirect
          required:
            - ali_pay_hk_redirect
          properties:
            ali_pay_hk_redirect:
              $ref: '#/components/schemas/AliPayHkRedirection'
        - type: object
          title: AliPayQr
          required:
            - ali_pay_qr
          properties:
            ali_pay_qr:
              $ref: '#/components/schemas/AliPayQr'
        - type: object
          title: AliPayRedirect
          required:
            - ali_pay_redirect
          properties:
            ali_pay_redirect:
              $ref: '#/components/schemas/AliPayRedirection'
        - type: object
          title: AmazonPay
          required:
            - amazon_pay
          properties:
            amazon_pay:
              $ref: '#/components/schemas/AmazonPayWalletData'
        - type: object
          title: AmazonPayRedirect
          required:
            - amazon_pay_redirect
          properties:
            amazon_pay_redirect:
              $ref: '#/components/schemas/AmazonPayRedirectData'
        - type: object
          title: ApplePay
          required:
            - apple_pay
          properties:
            apple_pay:
              $ref: '#/components/schemas/ApplePayWalletData'
        - type: object
          title: ApplePayRedirect
          required:
            - apple_pay_redirect
          properties:
            apple_pay_redirect:
              $ref: '#/components/schemas/ApplePayRedirectData'
        - type: object
          title: ApplePayThirdPartySdk
          required:
            - apple_pay_third_party_sdk
          properties:
            apple_pay_third_party_sdk:
              $ref: '#/components/schemas/ApplePayThirdPartySdkData'
        - type: object
          title: BluecodeRedirect
          required:
            - bluecode_redirect
          properties:
            bluecode_redirect:
              type: object
              description: The wallet data for Bluecode QR Code Redirect
        - type: object
          title: CashappQr
          required:
            - cashapp_qr
          properties:
            cashapp_qr:
              $ref: '#/components/schemas/CashappQr'
        - type: object
          title: DanaRedirect
          required:
            - dana_redirect
          properties:
            dana_redirect:
              type: object
              description: Wallet data for DANA redirect flow
        - type: object
          title: GcashRedirect
          required:
            - gcash_redirect
          properties:
            gcash_redirect:
              $ref: '#/components/schemas/GcashRedirection'
        - type: object
          title: GoPayRedirect
          required:
            - go_pay_redirect
          properties:
            go_pay_redirect:
              $ref: '#/components/schemas/GoPayRedirection'
        - type: object
          title: GooglePay
          required:
            - google_pay
          properties:
            google_pay:
              $ref: '#/components/schemas/GooglePayWalletData'
        - type: object
          title: GooglePayRedirect
          required:
            - google_pay_redirect
          properties:
            google_pay_redirect:
              $ref: '#/components/schemas/GooglePayRedirectData'
        - type: object
          title: GooglePayThirdPartySdk
          required:
            - google_pay_third_party_sdk
          properties:
            google_pay_third_party_sdk:
              $ref: '#/components/schemas/GooglePayThirdPartySdkData'
        - type: object
          title: KakaoPayRedirect
          required:
            - kakao_pay_redirect
          properties:
            kakao_pay_redirect:
              $ref: '#/components/schemas/KakaoPayRedirection'
        - type: object
          title: MbWayRedirect
          required:
            - mb_way_redirect
          properties:
            mb_way_redirect:
              $ref: '#/components/schemas/MbWayRedirection'
        - type: object
          title: Mifinity
          required:
            - mifinity
          properties:
            mifinity:
              $ref: '#/components/schemas/MifinityData'
        - type: object
          title: MobilePayRedirect
          required:
            - mobile_pay_redirect
          properties:
            mobile_pay_redirect:
              $ref: '#/components/schemas/MobilePayRedirection'
        - type: object
          title: MomoRedirect
          required:
            - momo_redirect
          properties:
            momo_redirect:
              $ref: '#/components/schemas/MomoRedirection'
        - type: object
          title: PaypalRedirect
          required:
            - paypal_redirect
          properties:
            paypal_redirect:
              $ref: '#/components/schemas/PaypalRedirection'
        - type: object
          title: PaypalSdk
          required:
            - paypal_sdk
          properties:
            paypal_sdk:
              $ref: '#/components/schemas/PayPalWalletData'
        - type: object
          title: Paysera
          required:
            - paysera
          properties:
            paysera:
              $ref: '#/components/schemas/PayseraData'
        - type: object
          title: Paze
          required:
            - paze
          properties:
            paze:
              $ref: '#/components/schemas/PazeWalletData'
        - type: object
          title: RevolutPay
          required:
            - revolut_pay
          properties:
            revolut_pay:
              $ref: '#/components/schemas/RevolutPayData'
        - type: object
          title: SamsungPay
          required:
            - samsung_pay
          properties:
            samsung_pay:
              $ref: '#/components/schemas/SamsungPayWalletData'
        - type: object
          title: Skrill
          required:
            - skrill
          properties:
            skrill:
              $ref: '#/components/schemas/SkrillData'
        - type: object
          title: Neteller
          required:
            - neteller
          properties:
            neteller:
              $ref: '#/components/schemas/NetellerData'
        - type: object
          title: SwishQr
          required:
            - swish_qr
          properties:
            swish_qr:
              $ref: '#/components/schemas/SwishQrData'
        - type: object
          title: TouchNGoRedirect
          required:
            - touch_n_go_redirect
          properties:
            touch_n_go_redirect:
              $ref: '#/components/schemas/TouchNGoRedirection'
        - type: object
          title: TwintRedirect
          required:
            - twint_redirect
          properties:
            twint_redirect:
              type: object
              description: Wallet data for Twint Redirection
        - type: object
          title: VippsRedirect
          required:
            - vipps_redirect
          properties:
            vipps_redirect:
              type: object
              description: Wallet data for Vipps Redirection
        - type: object
          title: WeroRedirect
          required:
            - wero_redirect
          properties:
            wero_redirect:
              type: object
        - type: object
          title: WeChatPayQr
          required:
            - we_chat_pay_qr
          properties:
            we_chat_pay_qr:
              $ref: '#/components/schemas/WeChatPayQr'
        - type: object
          title: WeChatPayRedirect
          required:
            - we_chat_pay_redirect
          properties:
            we_chat_pay_redirect:
              $ref: '#/components/schemas/WeChatPayRedirection'
    PayLaterData:
      oneOf:
        - type: object
          required:
            - klarna_redirect
          properties:
            klarna_redirect:
              type: object
              description: For KlarnaRedirect as PayLater Option
              properties:
                billing_email:
                  type: string
                  description: The billing email
                  nullable: true
                billing_country:
                  allOf:
                    - $ref: '#/components/schemas/CountryAlpha2'
                  nullable: true
        - type: object
          required:
            - klarna_sdk
          properties:
            klarna_sdk:
              type: object
              description: For Klarna Sdk as PayLater Option
              required:
                - token
              properties:
                token:
                  type: string
                  description: The token for the sdk workflow
        - type: object
          required:
            - affirm_redirect
          properties:
            affirm_redirect:
              type: object
              description: For Affirm redirect as PayLater Option
        - type: object
          required:
            - afterpay_clearpay_redirect
          properties:
            afterpay_clearpay_redirect:
              type: object
              description: For AfterpayClearpay redirect as PayLater Option
              properties:
                billing_email:
                  type: string
                  description: The billing email
                  nullable: true
                billing_name:
                  type: string
                  description: The billing name
                  nullable: true
        - type: object
          required:
            - pay_bright_redirect
          properties:
            pay_bright_redirect:
              type: object
              description: For PayBright Redirect as PayLater Option
        - type: object
          required:
            - flexiti_redirect
          properties:
            flexiti_redirect:
              type: object
              description: For Flexiti Redirect as PayLater long term finance Option
        - type: object
          required:
            - walley_redirect
          properties:
            walley_redirect:
              type: object
              description: For WalleyRedirect as PayLater Option
        - type: object
          required:
            - alma_redirect
          properties:
            alma_redirect:
              type: object
              description: For Alma Redirection as PayLater Option
        - type: object
          required:
            - atome_redirect
          properties:
            atome_redirect:
              type: object
        - type: object
          required:
            - breadpay_redirect
          properties:
            breadpay_redirect:
              type: object
        - type: object
          required:
            - payjustnow_redirect
          properties:
            payjustnow_redirect:
              type: object
    BankRedirectData:
      oneOf:
        - type: object
          required:
            - bancontact_card
          properties:
            bancontact_card:
              type: object
              required:
                - card_number
                - card_exp_month
                - card_exp_year
                - card_holder_name
              properties:
                card_number:
                  type: string
                  description: The card number
                  example: '4242424242424242'
                card_exp_month:
                  type: string
                  description: The card's expiry month
                  example: '24'
                card_exp_year:
                  type: string
                  description: The card's expiry year
                  example: '24'
                card_holder_name:
                  type: string
                  description: The card holder's name
                  example: John Test
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/BankRedirectBilling'
                  nullable: true
        - type: object
          required:
            - bizum
          properties:
            bizum:
              type: object
        - type: object
          required:
            - blik
          properties:
            blik:
              type: object
              properties:
                blik_code:
                  type: string
                  nullable: true
        - type: object
          required:
            - eps
          properties:
            eps:
              type: object
              required:
                - bank_name
                - country
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/BankRedirectBilling'
                  nullable: true
                bank_name:
                  $ref: '#/components/schemas/BankNames'
                country:
                  $ref: '#/components/schemas/CountryAlpha2'
        - type: object
          required:
            - giropay
          properties:
            giropay:
              type: object
              required:
                - country
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/BankRedirectBilling'
                  nullable: true
                bank_account_bic:
                  type: string
                  description: Bank account bic code
                  nullable: true
                bank_account_iban:
                  type: string
                  description: Bank account iban
                  nullable: true
                country:
                  $ref: '#/components/schemas/CountryAlpha2'
        - type: object
          required:
            - ideal
          properties:
            ideal:
              type: object
              required:
                - bank_name
                - country
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/BankRedirectBilling'
                  nullable: true
                bank_name:
                  $ref: '#/components/schemas/BankNames'
                country:
                  $ref: '#/components/schemas/CountryAlpha2'
        - type: object
          required:
            - interac
          properties:
            interac:
              type: object
              properties:
                country:
                  allOf:
                    - $ref: '#/components/schemas/CountryAlpha2'
                  nullable: true
                email:
                  type: string
                  example: john.doe@example.com
                  nullable: true
        - type: object
          required:
            - online_banking_czech_republic
          properties:
            online_banking_czech_republic:
              type: object
              required:
                - issuer
              properties:
                issuer:
                  $ref: '#/components/schemas/BankNames'
        - type: object
          required:
            - online_banking_finland
          properties:
            online_banking_finland:
              type: object
              properties:
                email:
                  type: string
                  nullable: true
        - type: object
          required:
            - online_banking_poland
          properties:
            online_banking_poland:
              type: object
              required:
                - issuer
              properties:
                issuer:
                  $ref: '#/components/schemas/BankNames'
        - type: object
          required:
            - online_banking_slovakia
          properties:
            online_banking_slovakia:
              type: object
              required:
                - issuer
              properties:
                issuer:
                  $ref: '#/components/schemas/BankNames'
        - type: object
          required:
            - open_banking_uk
          properties:
            open_banking_uk:
              type: object
              required:
                - issuer
                - country
              properties:
                issuer:
                  $ref: '#/components/schemas/BankNames'
                country:
                  $ref: '#/components/schemas/CountryAlpha2'
        - type: object
          required:
            - przelewy24
          properties:
            przelewy24:
              type: object
              properties:
                bank_name:
                  allOf:
                    - $ref: '#/components/schemas/BankNames'
                  nullable: true
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/BankRedirectBilling'
                  nullable: true
        - type: object
          required:
            - sofort
          properties:
            sofort:
              type: object
              required:
                - country
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/BankRedirectBilling'
                  nullable: true
                country:
                  $ref: '#/components/schemas/CountryAlpha2'
                preferred_language:
                  type: string
                  description: The preferred language
                  example: en
                  nullable: true
        - type: object
          required:
            - trustly
          properties:
            trustly:
              type: object
              properties:
                country:
                  allOf:
                    - $ref: '#/components/schemas/CountryAlpha2'
                  nullable: true
        - type: object
          required:
            - online_banking_fpx
          properties:
            online_banking_fpx:
              type: object
              required:
                - issuer
              properties:
                issuer:
                  $ref: '#/components/schemas/BankNames'
        - type: object
          required:
            - online_banking_thailand
          properties:
            online_banking_thailand:
              type: object
              required:
                - issuer
              properties:
                issuer:
                  $ref: '#/components/schemas/BankNames'
        - type: object
          required:
            - local_bank_redirect
          properties:
            local_bank_redirect:
              type: object
        - type: object
          required:
            - eft
          properties:
            eft:
              type: object
              required:
                - provider
              properties:
                provider:
                  type: string
                  description: The preferred eft provider
                  example: ozow
        - type: object
          required:
            - open_banking
          properties:
            open_banking:
              type: object
    BankDebitData:
      oneOf:
        - type: object
          required:
            - ach_bank_debit
          properties:
            ach_bank_debit:
              type: object
              description: Payment Method data for Ach bank debit
              required:
                - account_number
                - routing_number
                - bank_account_holder_name
                - bank_name
                - bank_type
                - bank_holder_type
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/BankDebitBilling'
                  nullable: true
                account_number:
                  type: string
                  description: Account number for ach bank debit payment
                  example: '000123456789'
                routing_number:
                  type: string
                  description: Routing number for ach bank debit payment
                  example: '110000000'
                bank_account_holder_name:
                  type: string
                  example: John Doe
                bank_name:
                  type: string
                  example: ACH
                bank_type:
                  type: string
                  example: Checking
                bank_holder_type:
                  type: string
                  example: Personal
        - type: object
          required:
            - sepa_bank_debit
          properties:
            sepa_bank_debit:
              type: object
              required:
                - iban
                - bank_account_holder_name
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/BankDebitBilling'
                  nullable: true
                iban:
                  type: string
                  description: International bank account number (iban) for SEPA
                  example: DE89370400440532013000
                bank_account_holder_name:
                  type: string
                  description: Owner name for bank debit
                  example: A. Schneider
        - type: object
          required:
            - sepa_guarenteed_bank_debit
          properties:
            sepa_guarenteed_bank_debit:
              type: object
              required:
                - iban
                - bank_account_holder_name
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/BankDebitBilling'
                  nullable: true
                iban:
                  type: string
                  description: International bank account number (iban) for SEPA
                  example: DE89370400440532013000
                bank_account_holder_name:
                  type: string
                  description: Owner name for bank debit
                  example: A. Schneider
        - type: object
          required:
            - becs_bank_debit
          properties:
            becs_bank_debit:
              type: object
              required:
                - account_number
                - bsb_number
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/BankDebitBilling'
                  nullable: true
                account_number:
                  type: string
                  description: Account number for Becs payment method
                  example: '000123456'
                bsb_number:
                  type: string
                  description: Bank-State-Branch (bsb) number
                  example: '000000'
                bank_account_holder_name:
                  type: string
                  description: Owner name for bank debit
                  example: A. Schneider
                  nullable: true
        - type: object
          required:
            - bacs_bank_debit
          properties:
            bacs_bank_debit:
              type: object
              required:
                - account_number
                - sort_code
                - bank_account_holder_name
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/BankDebitBilling'
                  nullable: true
                account_number:
                  type: string
                  description: Account number for Bacs payment method
                  example: '00012345'
                sort_code:
                  type: string
                  description: Sort code for Bacs payment method
                  example: '108800'
                bank_account_holder_name:
                  type: string
                  description: holder name for bank debit
                  example: A. Schneider
        - type: object
          required:
            - eft_debit_order
          properties:
            eft_debit_order:
              type: object
              required:
                - account_number
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/BankDebitBilling'
                  nullable: true
                account_number:
                  type: string
                  description: Account number for eft bank debit payment
                  example: '000123456789'
                branch_code:
                  type: string
                  description: Branch code for eft bank debit payment
                  example: '110000000'
                  nullable: true
                bank_account_holder_name:
                  type: string
                  example: John Doe
                  nullable: true
                bank_name:
                  allOf:
                    - $ref: '#/components/schemas/BankNames'
                  nullable: true
                bank_type:
                  allOf:
                    - $ref: '#/components/schemas/BankType'
                  nullable: true
    BankTransferData:
      oneOf:
        - type: object
          required:
            - ach_bank_transfer
          properties:
            ach_bank_transfer:
              type: object
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/AchBillingDetails'
                  nullable: true
        - type: object
          required:
            - sepa_bank_transfer
          properties:
            sepa_bank_transfer:
              type: object
              required:
                - country
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/SepaAndBacsBillingDetails'
                  nullable: true
                country:
                  $ref: '#/components/schemas/CountryAlpha2'
        - type: object
          required:
            - bacs_bank_transfer
          properties:
            bacs_bank_transfer:
              type: object
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/SepaAndBacsBillingDetails'
                  nullable: true
        - type: object
          required:
            - multibanco_bank_transfer
          properties:
            multibanco_bank_transfer:
              type: object
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/MultibancoBillingDetails'
                  nullable: true
        - type: object
          required:
            - permata_bank_transfer
          properties:
            permata_bank_transfer:
              type: object
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/DokuBillingDetails'
                  nullable: true
        - type: object
          required:
            - bca_bank_transfer
          properties:
            bca_bank_transfer:
              type: object
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/DokuBillingDetails'
                  nullable: true
        - type: object
          required:
            - bni_va_bank_transfer
          properties:
            bni_va_bank_transfer:
              type: object
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/DokuBillingDetails'
                  nullable: true
        - type: object
          required:
            - bri_va_bank_transfer
          properties:
            bri_va_bank_transfer:
              type: object
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/DokuBillingDetails'
                  nullable: true
        - type: object
          required:
            - cimb_va_bank_transfer
          properties:
            cimb_va_bank_transfer:
              type: object
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/DokuBillingDetails'
                  nullable: true
        - type: object
          required:
            - danamon_va_bank_transfer
          properties:
            danamon_va_bank_transfer:
              type: object
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/DokuBillingDetails'
                  nullable: true
        - type: object
          required:
            - mandiri_va_bank_transfer
          properties:
            mandiri_va_bank_transfer:
              type: object
              properties:
                billing_details:
                  allOf:
                    - $ref: '#/components/schemas/DokuBillingDetails'
                  nullable: true
        - type: object
          required:
            - pix
          properties:
            pix:
              type: object
              properties:
                pix_key:
                  type: string
                  description: Unique key for pix transfer
                  example: a1f4102e-a446-4a57-bcce-6fa48899c1d1
                  nullable: true
                cpf:
                  type: string
                  description: CPF is a Brazilian tax identification number
                  example: '10599054689'
                  nullable: true
                cnpj:
                  type: string
                  description: CNPJ is a Brazilian company tax identification number
                  example: '74469027417312'
                  nullable: true
                source_bank_account_id:
                  type: string
                  description: Source bank account number
                  example: 8b******-****-****-****-*******08bc5
                  nullable: true
                destination_bank_account_id:
                  type: string
                  description: >-
                    Partially masked destination bank account number
                    _Deprecated: Will be removed in next stable release._
                  deprecated: true
                  example: '********-****-460b-****-f23b4e71c97b'
                  nullable: true
                expiry_date:
                  type: string
                  description: >-
                    The expiration date and time for the Pix QR code in ISO 8601
                    format
                  example: '2025-09-10T10:11:12Z'
                  nullable: true
        - type: object
          required:
            - pix_emv
          properties:
            pix_emv:
              type: object
        - type: object
          required:
            - pix_qr
          properties:
            pix_qr:
              type: object
        - type: object
          required:
            - pix_automatico_qr
          properties:
            pix_automatico_qr:
              type: object
        - type: object
          required:
            - pix_automatico_push
          properties:
            pix_automatico_push:
              type: object
              properties:
                account_number:
                  type: string
                  description: Account number for Pix Automatico Push payment method
                  example: '550689'
                  nullable: true
                branch_code:
                  type: string
                  description: Branch code for Pix Automatico Push payment method
                  example: '2569'
                  nullable: true
                bank_identifier:
                  type: string
                  description: Bank identifier for Pix Automatico Push payment method
                  example: '91193552'
                  nullable: true
        - type: object
          required:
            - pse
          properties:
            pse:
              type: object
        - type: object
          required:
            - local_bank_transfer
          properties:
            local_bank_transfer:
              type: object
              properties:
                bank_code:
                  type: string
                  nullable: true
        - type: object
          required:
            - instant_bank_transfer
          properties:
            instant_bank_transfer:
              type: object
        - type: object
          required:
            - instant_bank_transfer_finland
          properties:
            instant_bank_transfer_finland:
              type: object
        - type: object
          required:
            - instant_bank_transfer_poland
          properties:
            instant_bank_transfer_poland:
              type: object
        - type: object
          required:
            - indonesian_bank_transfer
          properties:
            indonesian_bank_transfer:
              type: object
              properties:
                bank_name:
                  allOf:
                    - $ref: '#/components/schemas/BankNames'
                  nullable: true
    RealTimePaymentData:
      oneOf:
        - type: object
          required:
            - fps
          properties:
            fps:
              type: object
        - type: object
          required:
            - duit_now
          properties:
            duit_now:
              type: object
        - type: object
          required:
            - prompt_pay
          properties:
            prompt_pay:
              type: object
        - type: object
          required:
            - viet_qr
          properties:
            viet_qr:
              type: object
        - type: object
          required:
            - qris
          properties:
            qris:
              type: object
    CryptoData:
      type: object
      properties:
        pay_currency:
          type: string
          nullable: true
        network:
          type: string
          nullable: true
    UpiData:
      oneOf:
        - type: object
          required:
            - upi_collect
          properties:
            upi_collect:
              $ref: '#/components/schemas/UpiCollectData'
        - type: object
          required:
            - upi_intent
          properties:
            upi_intent:
              $ref: '#/components/schemas/UpiIntentData'
        - type: object
          required:
            - upi_qr
          properties:
            upi_qr:
              $ref: '#/components/schemas/UpiQrData'
    VoucherData:
      oneOf:
        - type: object
          required:
            - boleto
          properties:
            boleto:
              $ref: '#/components/schemas/BoletoVoucherData'
        - type: string
          enum:
            - efecty
        - type: string
          enum:
            - pago_efectivo
        - type: string
          enum:
            - red_compra
        - type: string
          enum:
            - red_pagos
        - type: object
          required:
            - alfamart
          properties:
            alfamart:
              $ref: '#/components/schemas/AlfamartVoucherData'
        - type: object
          required:
            - indomaret
          properties:
            indomaret:
              $ref: '#/components/schemas/IndomaretVoucherData'
        - type: string
          enum:
            - oxxo
        - type: object
          required:
            - seven_eleven
          properties:
            seven_eleven:
              $ref: '#/components/schemas/JCSVoucherData'
        - type: object
          required:
            - lawson
          properties:
            lawson:
              $ref: '#/components/schemas/JCSVoucherData'
        - type: object
          required:
            - mini_stop
          properties:
            mini_stop:
              $ref: '#/components/schemas/JCSVoucherData'
        - type: object
          required:
            - family_mart
          properties:
            family_mart:
              $ref: '#/components/schemas/JCSVoucherData'
        - type: object
          required:
            - seicomart
          properties:
            seicomart:
              $ref: '#/components/schemas/JCSVoucherData'
        - type: object
          required:
            - pay_easy
          properties:
            pay_easy:
              $ref: '#/components/schemas/JCSVoucherData'
    GiftCardData:
      oneOf:
        - type: object
          required:
            - givex
          properties:
            givex:
              $ref: '#/components/schemas/GiftCardDetails'
        - type: object
          required:
            - pay_safe_card
          properties:
            pay_safe_card:
              type: object
        - type: object
          required:
            - bhn_card_network
          properties:
            bhn_card_network:
              $ref: '#/components/schemas/BHNGiftCardDetails'
    CardToken:
      type: object
      required:
        - card_holder_name
      properties:
        card_holder_name:
          type: string
          description: The card holder's name
          example: John Test
        card_cvc:
          type: string
          description: The CVC number for the card
          nullable: true
        card_cvc_token:
          type: string
          description: >-
            Token referencing a CVC vaulted in the hyperswitch (self-hosted)
            vault. Used by the

            self-hosted default-vault repeat-customer flow, where the card is
            referenced by the

            top-level `payment_token` and the freshly-tokenized CVC arrives as
            this token; the server

            resolves it to the raw CVC. Not used by the external vault proxy
            flow.
          nullable: true
    OpenBankingData:
      oneOf:
        - type: object
          required:
            - open_banking_pis
          properties:
            open_banking_pis:
              type: object
    MobilePaymentData:
      oneOf:
        - type: object
          required:
            - direct_carrier_billing
          properties:
            direct_carrier_billing:
              type: object
              required:
                - msisdn
              properties:
                msisdn:
                  type: string
                  description: The phone number of the user
                  example: '1234567890'
                client_uid:
                  type: string
                  description: Unique user id
                  example: 02iacdYXGI9CnyJdoN8c7
                  nullable: true
    NetworkTokenData:
      type: object
      required:
        - network_token
        - token_exp_month
        - token_exp_year
        - token_cryptogram
        - card_holder_name
      properties:
        network_token:
          type: string
          description: The network token
          example: '4604000460040787'
        token_exp_month:
          type: string
          description: The token's expiry month
          example: '05'
        token_exp_year:
          type: string
          description: The token's expiry year
          example: '24'
        token_cryptogram:
          type: string
          description: The token cryptogram
        card_network:
          allOf:
            - $ref: '#/components/schemas/CardNetwork'
          nullable: true
        card_type:
          type: string
          description: The type of the card such as Credit, Debit
          example: CREDIT
          nullable: true
        card_issuing_country:
          type: string
          description: The country in which the card was issued
          example: INDIA
          nullable: true
        bank_code:
          type: string
          description: The bank code of the bank that issued the card
          example: JP_AMEX
          nullable: true
        card_holder_name:
          type: string
          description: The card holder's name
          example: John Test
        card_issuer:
          type: string
          description: The name of the issuer of card
          example: chase
          nullable: true
        nick_name:
          type: string
          description: The card holder's nick name
          example: John Test
          nullable: true
        eci:
          type: string
          description: >-
            The ECI(Electronic Commerce Indicator) value for this
            authentication.
          nullable: true
        par:
          type: string
          description: The Payment Account Reference (PAR) for this card.
          nullable: true
    NetworkTransactionIdAndCardDetails:
      type: object
      required:
        - card_number
        - card_exp_month
        - card_exp_year
        - card_holder_name
        - network_transaction_id
      properties:
        card_number:
          type: string
          description: The card number
          example: '4242424242424242'
        card_exp_month:
          type: string
          description: The card's expiry month
          example: '24'
        card_exp_year:
          type: string
          description: The card's expiry year
          example: '24'
        card_holder_name:
          type: string
          description: The card holder's name
          example: John Test
        card_issuer:
          type: string
          description: The name of the issuer of card
          example: chase
          nullable: true
        card_network:
          allOf:
            - $ref: '#/components/schemas/CardNetwork'
          nullable: true
        card_type:
          type: string
          example: CREDIT
          nullable: true
        card_subtype:
          type: string
          description: The product the card is issued under, e.g. `CLASSIC` or `ELECTRON`
          example: CLASSIC
          nullable: true
        card_segment_type:
          allOf:
            - $ref: '#/components/schemas/CardSegmentType'
          nullable: true
        funding_source:
          allOf:
            - $ref: '#/components/schemas/FundingSource'
          nullable: true
        card_issuing_country:
          type: string
          example: INDIA
          nullable: true
        card_issuing_country_code:
          type: string
          example: IN
          nullable: true
        bank_code:
          type: string
          example: JP_AMEX
          nullable: true
        nick_name:
          type: string
          description: The card holder's nick name
          example: John Test
          nullable: true
        network_transaction_id:
          type: string
          description: >-
            The network transaction ID provided by the card network during a CIT
            (Customer Initiated Transaction),

            when `setup_future_usage` is set to `off_session`.
        transaction_link_id:
          type: string
          description: >-
            The Mastercard Transaction Link Identifier (TLID) provided by the
            card network during a CIT (Customer Initiated Transaction),

            when `setup_future_usage` is set to `off_session`.
          nullable: true
    NetworkTransactionIdAndNetworkTokenDetails:
      type: object
      required:
        - network_token
        - token_exp_month
        - token_exp_year
        - card_holder_name
        - network_transaction_id
      properties:
        network_token:
          type: string
          description: The Network Token
          example: '4604000460040787'
        token_exp_month:
          type: string
          description: The token's expiry month
          example: '05'
        token_exp_year:
          type: string
          description: The token's expiry year
          example: '24'
        card_network:
          allOf:
            - $ref: '#/components/schemas/CardNetwork'
          nullable: true
        card_type:
          type: string
          description: The type of the card such as Credit, Debit
          example: CREDIT
          nullable: true
        card_issuing_country:
          type: string
          description: The country in which the card was issued
          example: INDIA
          nullable: true
        bank_code:
          type: string
          description: The bank code of the bank that issued the card
          example: JP_AMEX
          nullable: true
        card_holder_name:
          type: string
          description: The card holder's name
          example: John Test
        card_issuer:
          type: string
          description: The name of the issuer of card
          example: chase
          nullable: true
        nick_name:
          type: string
          description: The card holder's nick name
          example: John Test
          nullable: true
        eci:
          type: string
          description: >-
            The ECI(Electronic Commerce Indicator) value for this
            authentication.
          nullable: true
        network_transaction_id:
          type: string
          description: >-
            The network transaction ID provided by the card network during a
            Customer Initiated Transaction (CIT)

            when `setup_future_usage` is set to `off_session`.
        transaction_link_id:
          type: string
          description: >-
            The Mastercard Transaction Link Identifier (TLID) provided by the
            card network during a CIT (Customer Initiated Transaction),

            when `setup_future_usage` is set to `off_session`.
          nullable: true
    NetworkTransactionIdAndDecryptedWalletTokenDetails:
      type: object
      description: Network Transaction ID and Decrypted Wallet Token Details
      required:
        - decrypted_token
        - token_exp_month
        - token_exp_year
        - card_holder_name
        - network_transaction_id
      properties:
        decrypted_token:
          type: string
          description: The Decrypted Token
          example: '4604000460040787'
        token_exp_month:
          type: string
          description: The token's expiry month
          example: '05'
        token_exp_year:
          type: string
          description: The token's expiry year
          example: '24'
        card_holder_name:
          type: string
          description: The card holder's name
          example: John Test
        network_transaction_id:
          type: string
          description: >-
            The network transaction ID provided by the card network during a
            Customer Initiated Transaction (CIT)

            when `setup_future_usage` is set to `off_session`.
        transaction_link_id:
          type: string
          description: >-
            The Mastercard Transaction Link Identifier (TLID) provided by the
            card network during a CIT (Customer Initiated Transaction),

            when `setup_future_usage` is set to `off_session`.
          nullable: true
        eci:
          type: string
          description: ECI indicator of the card
          nullable: true
        token_source:
          allOf:
            - $ref: '#/components/schemas/TokenSource'
          nullable: true
        card_network:
          allOf:
            - $ref: '#/components/schemas/CardNetwork'
          nullable: true
        device_manufacturer_identifier:
          type: string
          description: Identifier of the device that generated the token
          nullable: true
    ProxyCardData:
      type: object
      required:
        - card_number
        - card_exp_month
        - card_exp_year
        - card_holder_name
        - card_cvc
        - bin_number
        - last_four
      properties:
        card_number:
          type: string
          description: The token which refers to the card number
          example: token_card_number
        card_exp_month:
          type: string
          description: The card's expiry month
          example: '24'
        card_exp_year:
          type: string
          description: The card's expiry year
          example: '24'
        card_holder_name:
          type: string
          description: The card holder's name
          example: John Test
        card_cvc:
          type: string
          description: The CVC number for the card
          example: '242'
        card_issuer:
          type: string
          description: The name of the issuer of card
          example: chase
          nullable: true
        card_network:
          allOf:
            - $ref: '#/components/schemas/CardNetwork'
          nullable: true
        card_type:
          type: string
          example: CREDIT
          nullable: true
        card_issuing_country:
          type: string
          example: INDIA
          nullable: true
        bank_code:
          type: string
          example: JP_AMEX
          nullable: true
        nick_name:
          type: string
          description: The card holder's nick name
          example: John Test
          nullable: true
        bin_number:
          type: string
          description: The first six digit of the card number
          example: '424242'
        last_four:
          type: string
          description: The last four digit of the card number
          example: '4242'
    VaultCardToken:
      type: object
      description: >-
        Card token data carried by the external vault proxy
        `vault_card_token_data` variant. Its

        `card_cvc` is a vault token detokenized on the wire by the external
        vault (e.g. VGS). Kept as a

        distinct type from [`CardToken`] so the self-hosted `card_cvc_token`
        field does not leak into

        the proxy contract.
      required:
        - card_holder_name
      properties:
        card_holder_name:
          type: string
          description: The card holder's name
          example: John Test
        card_cvc:
          type: string
          description: >-
            The CVC number for the card (a vault token for the external vault
            proxy flow)
          nullable: true
    MultiCurrencyProcessingAmountData:
      type: object
      description: >-
        Merchant settlement leg for a single capture or refund. No conversion is
        recomputed.
      required:
        - amount
        - currency
      properties:
        amount:
          type: integer
          format: int64
          description: Merchant settlement amount in minor units.
        currency:
          $ref: '#/components/schemas/Currency'
      additionalProperties: false
    AdyenSplitItem:
      type: object
      description: Data for the split items
      required:
        - amount
        - split_type
        - reference
      properties:
        amount:
          type: integer
          format: int64
          description: The amount of the split item
          example: 6540
        split_type:
          $ref: '#/components/schemas/AdyenSplitType'
        account:
          type: string
          description: >-
            The unique identifier of the account to which the split amount is
            allocated.
          nullable: true
        reference:
          type: string
          description: Unique Identifier for the split item
        description:
          type: string
          description: >-
            Description for the part of the payment that will be allocated to
            the specified account.
          nullable: true
      additionalProperties: false
    CardNetwork:
      type: string
      description: Indicates the card network.
      enum:
        - Visa
        - Mastercard
        - AmericanExpress
        - JCB
        - DinersClub
        - Discover
        - CartesBancaires
        - UnionPay
        - Interac
        - RuPay
        - Maestro
        - Star
        - Pulse
        - Accel
        - Nyce
        - Prop
        - PrivateLabel
        - Dinacard
        - AirPlus
        - Aurore
        - EftposAustralia
        - GeCapital
        - Uatp
    CardSegmentType:
      type: string
      enum:
        - business
        - commercial
        - consumer
        - government
    FundingSource:
      type: string
      enum:
        - CREDIT
        - DEBIT
        - DEFERRED DEBIT
        - PREPAID
        - CHARGE CARD
    AliPayHkRedirection:
      type: object
    AliPayQr:
      type: object
    AliPayRedirection:
      type: object
    AmazonPayWalletData:
      type: object
      required:
        - checkout_session_id
      properties:
        checkout_session_id:
          type: string
          description: Checkout Session identifier
    AmazonPayRedirectData:
      type: object
    ApplePayWalletData:
      type: object
      required:
        - payment_data
        - payment_method
        - transaction_identifier
      properties:
        payment_data:
          $ref: '#/components/schemas/ApplePayPaymentData'
        payment_method:
          $ref: '#/components/schemas/ApplepayPaymentMethod'
        transaction_identifier:
          type: string
          description: The unique identifier for the transaction
    ApplePayRedirectData:
      type: object
    ApplePayThirdPartySdkData:
      type: object
      properties:
        token:
          type: string
          nullable: true
    CashappQr:
      type: object
    GcashRedirection:
      type: object
    GoPayRedirection:
      type: object
    GooglePayWalletData:
      type: object
      required:
        - type
        - description
        - info
        - tokenization_data
      properties:
        type:
          type: string
          description: The type of payment method
        description:
          type: string
          description: >-
            User-facing message to describe the payment method that funds this
            transaction.
        info:
          $ref: '#/components/schemas/GooglePayPaymentMethodInfo'
        tokenization_data:
          $ref: '#/components/schemas/GpayTokenizationData'
    GooglePayRedirectData:
      type: object
    GooglePayThirdPartySdkData:
      type: object
      properties:
        token:
          type: string
          nullable: true
    KakaoPayRedirection:
      type: object
    MbWayRedirection:
      type: object
      required:
        - telephone_number
      properties:
        telephone_number:
          type: string
          description: Telephone number of the shopper. Should be Portuguese phone number.
    MifinityData:
      type: object
      required:
        - date_of_birth
      properties:
        date_of_birth:
          type: string
          format: date
        language_preference:
          type: string
          nullable: true
    MobilePayRedirection:
      type: object
    MomoRedirection:
      type: object
    PaypalRedirection:
      type: object
      properties:
        email:
          type: string
          description: paypal's email address
          example: johntest@test.com
          nullable: true
          maxLength: 255
        payer_id:
          type: string
          description: PayPal payer identifier.
          example: 7DY7FRMPQ8CT6
          nullable: true
    PayPalWalletData:
      type: object
      required:
        - token
      properties:
        token:
          type: string
          description: Token generated for the Apple pay
    PayseraData:
      type: object
    PazeWalletData:
      type: object
      required:
        - complete_response
      properties:
        complete_response:
          type: string
    RevolutPayData:
      type: object
    SamsungPayWalletData:
      type: object
      required:
        - payment_credential
      properties:
        payment_credential:
          $ref: '#/components/schemas/SamsungPayWalletCredentials'
    SkrillData:
      type: object
    NetellerData:
      type: object
    SwishQrData:
      type: object
    TouchNGoRedirection:
      type: object
    WeChatPayQr:
      type: object
    WeChatPayRedirection:
      type: object
    CountryAlpha2:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - KH
        - CM
        - CA
        - CV
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - CI
        - HR
        - CU
        - CW
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MK
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SZ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - US
    BankRedirectBilling:
      type: object
      required:
        - billing_name
        - email
      properties:
        billing_name:
          type: string
          description: The name for which billing is issued
          example: John Doe
        email:
          type: string
          description: The billing email for bank redirect
          example: example@example.com
    BankNames:
      type: string
      description: Name of banks supported by Hyperswitch
      enum:
        - absa
        - access_bank
        - african_bank
        - african_bank_business
        - albaraka
        - american_express
        - affin_bank
        - agro_bank
        - alliance_bank
        - am_bank
        - bank_of_america
        - bank_of_china
        - bank_islam
        - bank_muamalat
        - bank_rakyat
        - bank_simpanan_nasional
        - bank_zero
        - barclays
        - bidvest_bank
        - bidvest_bank_alliances
        - blik_p_s_p
        - capital_one
        - capitec
        - capitec_business
        - chase
        - china_construction_bank
        - citi
        - cimb_bank
        - discover
        - discovery
        - enl_bank
        - fbc_fidelity_bank
        - finbond_epe
        - finbond_mutual_bank
        - first_national_bank
        - gotyme_bank
        - habib_overseas
        - hbz_bank
        - investec
        - ithala
        - jp_morgan_chase
        - mtn_banking
        - nedbank
        - navy_federal_credit_union
        - olympus
        - old_mutual
        - peoples_bank_pep_bank
        - peoples_bank
        - permanent_bank
        - pentagon_federal_credit_union
        - societe_generale
        - standard_bank
        - state_bank_of_india
        - synchrony_bank
        - ubank
        - vbs_mutual_bank
        - wells_fargo
        - abn_amro
        - asn_bank
        - bunq
        - handelsbanken
        - hong_leong_bank
        - hsbc_bank
        - ing
        - knab
        - kuwait_finance_house
        - moneyou
        - rabobank
        - regiobank
        - revolut
        - sns_bank
        - triodos_bank
        - van_lanschot
        - arzte_und_apotheker_bank
        - austrian_anadi_bank_ag
        - bank_austria
        - bank99_ag
        - bankhaus_carl_spangler
        - bankhaus_schelhammer_und_schattera_ag
        - bank_millennium
        - bank_p_e_k_a_o_s_a
        - bawag_psk_ag
        - bks_bank_ag
        - brull_kallmus_bank_ag
        - btv_vier_lander_bank
        - capital_bank_grawe_gruppe_ag
        - ceska_sporitelna
        - dolomitenbank
        - easybank_ag
        - e_platby_v_u_b
        - erste_bank_und_sparkassen
        - friesland_bank
        - hypo_alpeadriabank_international_ag
        - hypo_noe_lb_fur_niederosterreich_u_wien
        - hypo_oberosterreich_salzburg_steiermark
        - hypo_tirol_bank_ag
        - hypo_vorarlberg_bank_ag
        - hypo_bank_burgenland_aktiengesellschaft
        - komercni_banka
        - m_bank
        - marchfelder_bank
        - maybank
        - oberbank_ag
        - osterreichische_arzte_und_apothekerbank
        - ocbc_bank
        - pay_with_i_n_g
        - place_z_i_p_k_o
        - platnosc_online_karta_platnicza
        - posojilnica_bank_e_gen
        - postova_banka
        - public_bank
        - raiffeisen_bankengruppe_osterreich
        - rhb_bank
        - schelhammer_capital_bank_ag
        - standard_chartered_bank
        - schoellerbank_ag
        - sparda_bank_wien
        - sporo_pay
        - santander_przelew24
        - tatra_pay
        - viamo
        - volksbank_gruppe
        - volkskreditbank_ag
        - vr_bank_braunau
        - uob_bank
        - pay_with_alior_bank
        - banki_spoldzielcze
        - pay_with_inteligo
        - b_n_p_paribas_poland
        - bank_nowy_s_a
        - credit_agricole
        - pay_with_b_o_s
        - pay_with_citi_handlowy
        - pay_with_plus_bank
        - toyota_bank
        - velo_bank
        - e_transfer_pocztowy24
        - plus_bank
        - etransfer_pocztowy24
        - banki_spbdzielcze
        - bank_nowy_bfg_sa
        - getin_bank
        - blik
        - noble_pay
        - idea_bank
        - envelo_bank
        - nest_przelew
        - mbank_mtransfer
        - inteligo
        - pbac_z_ipko
        - bnp_paribas
        - bank_pekao_sa
        - volkswagen_bank
        - alior_bank
        - boz
        - bangkok_bank
        - krungsri_bank
        - krung_thai_bank
        - the_siam_commercial_bank
        - kasikorn_bank
        - open_bank_success
        - open_bank_failure
        - open_bank_cancelled
        - aib
        - bank_of_scotland
        - danske_bank
        - first_direct
        - first_trust
        - halifax
        - lloyds
        - monzo
        - nat_west
        - nationwide_bank
        - royal_bank_of_scotland
        - starling
        - tsb_bank
        - tesco_bank
        - ulster_bank
        - yoursafe
        - n26
        - nationale_nederlanden
        - aib_business
        - aktia
        - alandsbanken
        - allianz_bank_financial_advisors_spa
        - allianz_banque
        - allied_irish_bank
        - allied_irish_bank_corporate
        - alto_adige
        - alto_adige_banca_suedtirol_bank
        - argenta
        - arkea_banque_entreprises_et_institutionnels
        - arkea_banque_privee
        - axa_banque
        - banca360_credito_cooperativo_fvg
        - banca_adria_colli_euganei
        - banca_agricola_popolare_di_ragusa
        - banca_alpi_marittime_cc_carru
        - banca_alta_toscana
        - banca_annia
        - banca_centro_emilia
        - banca_centro_lazio
        - banca_centro_toscana_umbria
        - banca_centropadana
        - banca_cesare_ponti
        - banca_del_catanzarese
        - banca_del_cilento_di_sassano_e_v
        - banca_del_piceno
        - banca_del_piemonte
        - banca_del_territorio_lombardo
        - banca_del_veneto_centrale
        - banca_della_marca_credcooperativo
        - banca_delle_terre_venete
        - banca_di_alba_credito_cooperativo
        - banca_di_anghiari_e_stia_cc
        - banca_di_bologna
        - banca_di_caraglio
        - banca_di_credito_popolare_scpa
        - banca_di_imola_spa
        - banca_di_pesaro
        - banca_di_pescia_e_cascina
        - banca_di_piacenza_scpa
        - banca_di_taranto_bcc
        - banca_di_udine_credito_coop
        - banca_don_rizzo
        - banca_fideuram
        - banca_finnat_euramerica_spa
        - banca_generali_spa
        - banca_lazio_nord
        - banca_malatestiana
        - banca_monte_dei_paschi_di_siena
        - banca_passadore
        - banca_patavina
        - banca_patrimoni_sella
        - banca_per_il_trentinoaltoadige
        - banca_popolare_del_lazio_scpa
        - banca_popolare_dell_alto_adige
        - banca_popolare_di_sondrio
        - banca_popolare_pugliese
        - banca_popolare_valconca_scpa
        - banca_san_francesco_credito_coop
        - banca_sella
        - banca_sistema_spa
        - banca_sviluppo_cooperaz_credito
        - banca_tema
        - banca_terre_etrusche_e_di_maremma
        - banca_territori_del_monviso
        - banca_valsabbina
        - banca_veronese_cc_di_concamarise
        - banco_azzoaglio
        - banco_bpm_spa_servizio_webank
        - banco_bpm_spa_servizio_youweb
        - banco_bpm_spa_youbusiness_web
        - banco_bpm_we_bank
        - banco_bpm_you_web
        - banco_de_sabadell
        - banco_desio_brianza
        - banco_di_sardegna
        - banco_marchigiano
        - banco_posta
        - banco_santander
        - bank_of_ireland
        - bank_of_ireland_business
        - bank_of_ireland_uk
        - bank_of_scotland_business
        - bankinter
        - banque_de_savoie
        - banque_populaire
        - barclaycard
        - barclays_business
        - bawag_psk
        - bbva
        - bcc_abruzzese_cappelle_sul_tavo
        - bcc_abruzzi_e_molise
        - bcc_adriatico_teramano
        - bcc_agro_bresciano
        - bcc_agro_pontino
        - bcc_alberobello_sammichele_monopoli
        - bcc_alto_tirreno_della_calabria
        - bcc_anagni
        - bcc_basilicata
        - bcc_bellegra
        - bcc_brescia
        - bcc_brianza_e_laghi
        - bcc_campania_centro
        - bcc_capaccio_paestum
        - bcc_castelli_romani_e_tuscolo
        - bcc_centro_calabria
        - bcc_conversano
        - bcc_degli_ulivi_terra_di_bari
        - bcc_dei_castelli_e_degli_iblei
        - bcc_dei_colli_albani
        - bcc_del_circeo_e_privernate
        - bcc_del_garda
        - bcc_del_metauro
        - bcc_del_velino
        - bcc_dell_alta_murgia
        - bcc_della_provincia_romana
        - bcc_della_romagna_occidentale
        - bcc_delle_madonie
        - bcc_di_altofonte_e_caccamo
        - bcc_di_aquara
        - bcc_di_arborea
        - bcc_di_bari
        - bcc_di_barlassina
        - bcc_di_bene_vagienna
        - bcc_di_binasco
        - bcc_di_buccino_e_comuni_cilentani
        - bcc_di_busto_garolfo_e_buguggiate
        - bcc_di_cagliari
        - bcc_di_canosa_loconia
        - bcc_di_caravaggio
        - bcc_di_cassano_delle_murge_e_tolve
        - bcc_di_cherasco
        - bcc_di_filottrano
        - bcc_di_flumeri
        - bcc_di_gambatesa
        - bcc_di_gaudiano_di_lavello
        - bcc_di_leverano
        - bcc_di_locorotondo
        - bcc_di_montepaone
        - bcc_di_napoli
        - bcc_di_ostra_e_morro_d_alba
        - bcc_di_ostuni
        - bcc_di_pachino
        - bcc_di_pergola_e_corinaldo
        - bcc_di_pianfei_e_rocca_de_baldi
        - bcc_di_pontassieve
        - bcc_di_recanati_e_colmurano
        - bcc_di_roma
        - bcc_di_san_giovanni_rotondo
        - bcc_di_san_marzano_di_san_giuseppe
        - bcc_di_santeramo_in_colle
        - bcc_di_sarsina
        - bcc_di_scafati_e_cetara
        - bcc_di_smarco_dei_cavoti
        - bcc_di_spello_e_del_velino
        - bcc_di_terra_d_otranto
        - bcc_felsinea
        - bcc_g_toniolo_di_san_cataldo
        - bcc_gran_sasso_d_italia
        - bcc_la_riscossa_di_regalbuto
        - bcc_lodi
        - bcc_milano
        - bcc_monte_pruno
        - bcc_nettuno
        - bcc_oglio_e_serio
        - bcc_pordenonese_e_monsile
        - bcc_pratola_peligna
        - bcc_prealpi_san_biagio
        - bcc_ravenna_forli_imola
        - bcc_san_giuseppe_di_mussomeli
        - bcc_terra_di_lavoro
        - bcc_triuggio_valle_del_lambro
        - bcc_valdarno_fiorentino
        - bcc_valdostana
        - bcc_valle_del_torto
        - bcc_veneta
        - bcc_venezia_giulia
        - bcc_versilia_lunigiana_e_garfagnana
        - bcc_vicentino_pojana_maggiore
        - belfius
        - beobank
        - bi_banca
        - blu_banca_spa
        - bnl
        - bnp_paribas_fortis
        - bourso_bank
        - bozen
        - bpe
        - bper_banca
        - bvr_banca_banche_venete_riunite
        - caisse_d_epargne
        - caixa
        - caja_rural
        - cajamar
        - cassa_centrale_banca
        - cassa_di_risparmio_di_bolzano
        - cassa_di_risparmio_di_fermo_spa
        - cassa_di_risparmio_di_savigliano
        - cassa_padana
        - cassa_rurale_alta_valsugana
        - cassa_rurale_alto_garda_rovereto
        - cassa_rurale_di_ledro
        - cassa_rurale_di_treviglio
        - cassa_rurale_fvg
        - cassa_rurale_renon
        - cassa_rurale_val_di_fiemme
        - cassa_rurale_val_di_sole
        - cassa_rurale_vallagarina
        - cassa_rurale_valsugana_e_tesino
        - castagneto_banca1910
        - cbc_banque
        - centromarca_banca
        - chiantibanca_credito_cooperativo
        - cic
        - clydesdale_bank
        - comdirect
        - commerzbank
        - cortinabanca
        - coutts
        - cr_val_di_non_rotaliana_e_giovo
        - cra_bcc_di_cantu
        - cra_di_borgo_san_giacomo
        - cra_di_boves
        - cra_di_paliano
        - credem
        - credifriuli
        - credit_mutuel
        - credit_mutuel_de_bretagne
        - credit_mutuel_du_sud_ouest
        - credito_cooperativo_agrigentino
        - credito_cooperativo_mediocrati
        - credito_cooperativo_romagnolo
        - credito_di_romagna
        - credito_lombardo_veneto
        - danske_bank_business
        - desio
        - deutsche_bank
        - dkb
        - easy_bank
        - ebs
        - emilbanca_cc
        - erste_bank
        - evo_banco
        - fineco
        - fintro
        - fortuneo
        - fpb_cassa_di_fassa_primiero_belluno
        - hello_bank
        - hsbc
[...]
